package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.support.OSUtil;
import java.io.IOException;
import java.io.OutputStream;

public class ASN1OutputStream extends DEROutputStream {
  public ASN1OutputStream(OutputStream outputStream) {
    super(outputStream);
  }
  
  public void writeObject(Object object) throws IOException {
    if (object == null) {
      writeNull();
      return;
    } 
    while (true) {
      if (object instanceof DERObject) {
        ((DERObject)object).encode(this);
        return;
      } 
      while (true) {
        if (object instanceof DEREncodable) {
          ((DEREncodable)object).getDERObject().encode(this);
          return;
        } 
        throw new IOException(OSUtil.break("=:\002\007\n\027M\t\007\026I\"\035\nX&\001\006\027\026\035\024\034\037"));
      } 
      throw new IOException(OSUtil.break("=:\002\007\n\027M\t\007\026I\"\035\nX&\001\006\027\026\035\024\034\037"));
    } 
    while (true) {
      if (object instanceof DEREncodable) {
        ((DEREncodable)object).getDERObject().encode(this);
        return;
      } 
      throw new IOException(OSUtil.break("=:\002\007\n\027M\t\007\026I\"\035\nX&\001\006\027\026\035\024\034\037"));
    } 
    throw new IOException(OSUtil.break("=:\002\007\n\027M\t\007\026I\"\035\nX&\001\006\027\026\035\024\034\037"));
  }
}
